summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2013-03-05 14:56:12 +0800
committerPatrick Lauer <patrick@gentoo.org>2013-03-05 14:56:12 +0800
commita737a62b48da1c100eee48d48d6c8f4e84126cd3 (patch)
treeead284b5404b451d7ddc38353335a05bcc0814b6
parentapp-misc/qbrew: Fix qt deps, EAPI bump (diff)
downloadsunrise-a737a62b48da1c100eee48d48d6c8f4e84126cd3.tar.gz
sunrise-a737a62b48da1c100eee48d48d6c8f4e84126cd3.tar.bz2
sunrise-a737a62b48da1c100eee48d48d6c8f4e84126cd3.zip
app-misc/rbutil: Bump, fix qt deps, EAPI bump
-rw-r--r--app-misc/rbutil/Manifest4
-rw-r--r--app-misc/rbutil/rbutil-1.2.14.ebuild (renamed from app-misc/rbutil/rbutil-1.2.8.ebuild)15
2 files changed, 7 insertions, 12 deletions
diff --git a/app-misc/rbutil/Manifest b/app-misc/rbutil/Manifest
index 101f0fed9..59a43dc2d 100644
--- a/app-misc/rbutil/Manifest
+++ b/app-misc/rbutil/Manifest
@@ -1,5 +1,5 @@
AUX 1.2.8-fix-parallel-make.patch 2313 SHA256 0ced1e0eb3e887e96c57cd079be7bc76d619ca210b0912e9cf795cb4f120ec5b SHA512 a8cacbca49b828d5cbc22a7d1ff4a8d39cc98ecde702c69c00d88983a39ac6767624882e65589b2fdac34bb8db3d1a0fff15ae79ebc54f2e314ba01951c5a5b6 WHIRLPOOL 99d62452f283108972905a486e5fbc3a77e45da769db837ef4daa08710e405c9ff4d739ce17ecd29a4e9e2b4854ed6263d7dfce1c169fc2faa14ff1e914836da
-DIST rbutil_1.2.8-src.tar.bz2 760757 SHA256 fa35a886340291e30b14e9f618c4a4c9b2296d832ce0cd1b86cdfdcdb3a75cbe
-EBUILD rbutil-1.2.8.ebuild 1022 SHA256 2fa8d4a7629d2f8285b0fc382bf9e5a70d42cd064a2fa2c943cd8aa518991785 SHA512 8e221e66b0df843d4b60c6f4a3280751935445cfdb48892cf0b13652a3218c28fa770d898d26278d61dfbbf6b0ab6d6676ede326ed50008c0b39295d659c202e WHIRLPOOL e2ab1643f40266bddb77f83539ec5676eecac6ce65d03d2097091cf3e9ee4920993dab8d8706a362d2910e633047bfa94ac9b4f7ef7a3d251e9e4c4c16a7a2b7
+DIST RockboxUtility-v1.2.14-src.tar.bz2 857243 SHA256 0dfa038f528279a510e84dafe38859399fefa546f3fa3e7d17da49e9086d24f8 SHA512 59ceea8b91d8275147d7efdf3c3a45f105e52dc49d877e061c483940f96e8064f1307641d5c8e7b81574375209866fa8d5ad9d57f1748010b576a92a789402d4 WHIRLPOOL e2bd79849bf98ff888e0e2ce65edfda0e6c811d45fe871715562a705517cc628a5dae61051c306f4c51a8ada1bf6957c90d058933b6f7cf538c8b1d182237fdb
+EBUILD rbutil-1.2.14.ebuild 997 SHA256 7674e5111e3b866bf2538ce99630e984eedf72abec7476050595dbe08b77a52e SHA512 e9806fc5d69e9b7b02300892a67b279e4ec728744b90879686c40321b2561298c067e9d142e4c85958a14f21b77b7a62332d154c9cd2a78721814876b2965180 WHIRLPOOL 91cf1f2b5315b63ab3b9b504e70142688edf0d7fa6485aa3ac617eb3d7264dd252a945c79efd41205dc3246a66af30b872a9bb9f9db7d87e3472b4d298f78724
MISC ChangeLog 1225 SHA256 fa2c1fad6e116c14743761925b2987dd828033343d487fc7642baa5f731e623d SHA512 f6505d636ff5a418d559fc2dc06d514ce7f53e461a376a4def651c4c26d0450df4117c29ecda0ebee582003442bba7badfb27eb9be829b6d18a61a2429a61a09 WHIRLPOOL fd6bbe8267005cb4b1184ebc6c451259fc1403c815423e4f072c4fe0aa05b82f05ab6e961498000cb1ff85ab8ff2bbfe97f930414de3082c4219e1d5f763a8f5
MISC metadata.xml 208 SHA256 c4841c87f0c2b9b5e679a27dc72180be8d508fb3f5df0fbab2ec2c805c0a6d82 SHA512 21d90d4547c76c80e50e134359dfbec42b158bbc16e4741738bdde5f67b7926d158dae1905948a477405b74e754ce4ed63cad910f220a709db8dfccf160e5288 WHIRLPOOL 33ec53f42c7a8c4c419989bd94e083c417574463e19c9c1322e6b96d0f5a6a52e3dd69fbedf2d11a7a77d24a93b81f3a604b6b33cac62548389537bf3e42df0e
diff --git a/app-misc/rbutil/rbutil-1.2.8.ebuild b/app-misc/rbutil/rbutil-1.2.14.ebuild
index 104aa46e0..e6b51a43f 100644
--- a/app-misc/rbutil/rbutil-1.2.8.ebuild
+++ b/app-misc/rbutil/rbutil-1.2.14.ebuild
@@ -2,16 +2,14 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=2
+EAPI="5"
LANGS="cs de fi fr he it ja nl pl pt pt_BR ru tr zh_CN zh_TW"
inherit eutils qt4-r2
-MY_P=${PN}_${PV}
-
DESCRIPTION="Rockbox opensource firmware manager for mp3 players"
HOMEPAGE="http://www.rockbox.org/twiki/bin/view/Main/RockboxUtility"
-SRC_URI="http://download.rockbox.org/${PN}/source/${MY_P}-src.tar.bz2"
+SRC_URI="http://download.rockbox.org/${PN}/source/RockboxUtility-v${PV}-src.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
@@ -24,11 +22,7 @@ RDEPEND="media-libs/speex
virtual/libusb:0"
DEPEND="${RDEPEND}"
-S=${WORKDIR}/${MY_P}/${PN}/${PN}qt
-
-src_prepare() {
- epatch "${FILESDIR}/${PV}"-fix-parallel-make.patch
-}
+S="${WORKDIR}/RockboxUtility-v${PV}/${PN}/${PN}qt"
src_configure() {
# generate binary translations
@@ -40,6 +34,7 @@ src_configure() {
src_install() {
newbin RockboxUtility ${PN} || die
- newicon icons/rockbox-5.png ${PN}.png || die
+ # FIXME: is this the right icon?
+ newicon icons/rockbox.ico ${PN}.png || die
make_desktop_entry ${PN} "Rockbox Utility"
}